<?php
require_once APPPATH."core/My_Model.php";
//use application\core\My_Model;
use application\models\MyModel;

//namespace application\models\hclinica;

//class EncHistoriaModel extends MyModel
class EncHistoriaModel extends My_Model
{
    public function __construct()
    {
        parent::__construct();
        $this->db=$this->conexion;
        $this->table="enchistoria";
        $this->idTable="idEncHistoria";
    }
    public function getEncHistoriaById($idEncHistoria)
    {
        return $this->getArrayById($this->idTable,$idEncHistoria,true);
        //return $this->CI->databaseLib->getStdArrayById($idEncHistoria,true);
    }
    public function guardarStdEncHistoria($objeto)
    {
        $this->guardarStdObject($objeto);
        //$this->CI->databaseLib->guardarStdObject($objeto,$this->idTable);
    }
    public function getHistoriasClinicasPaciente()
    {
        $sql="";
    }
}
